## Only for major releases

Flux and k3s still need manual intervention (see #976 and #993), so we
only update them on major releases.

* [ ] Update [Flux version](https://github.com/fluxcd/flux2/releases)

      current_flux_version=$(yq eval .flux.version ansible/group_vars/all/stackspin.yml)
      new_flux_version=$(curl -s https://api.github.com/repos/fluxcd/flux2/releases/latest | jq -r .name | tr -d 'v')
      sed -i "s/$current_flux_version/$new_flux_version/g" Dockerfile install/flux-version-check.sh docs/installation/install_stackspin.rst ansible/group_vars/all/stackspin.yml

* [ ] Update k3s in `ansible/group_vars/all/stackspin.yml`

## Update applications in this repository

* [ ] Update [taiko version](https://github.com/getgauge/taiko/releases) inside `Dockerfile` (see #981 for pending renovate automation)

## Update our custom charts

We configured renovate for these projects, but [renovate doesn't properly update the
`version` tag in `Chart.yaml`](#1176). So we need to manually update both the
`version` and `appVersion` tags in:

* [ ] [dashboard](https://open.greenhost.net/stackspin/dashboard) (see also dashboard#10)
* [ ] [nextcloud](https://open.greenhost.net/stackspin/nextcloud) (see also nextcloud#1012)
* [ ] [wordpress](https://open.greenhost.net/stackspin/wordpress-helm)

Pull in upstream changes to:

* [ ] [local-path-provisioner](https://open.greenhost.net/stackspin/local-path-provisioner)

Update our Zulip container:

* [ ] [Instructions to build new container](https://docs.stackspin.net/en/v0.8/instructions.html#building-a-new-version-of-zulip)
